import { ElementRef, Renderer2, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SearchComponent implements AfterViewInit {
    private renderer;
    private cdr;
    placeholder: string;
    type: 'primary' | 'secondary';
    currentSearch: string;
    private searchTerm;
    inSearchMode: boolean;
    inputSearch: ElementRef;
    private unoSearch;
    constructor(renderer: Renderer2, cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    onButtonClick(text: string): void;
    keyDownFunction(event: any, text: string): void;
    private normalizeString;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchComponent, "uno-search", never, { "placeholder": "placeholder"; "type": "type"; "currentSearch": "currentSearch"; }, { "searchTerm": "searchTerm"; }, never, never, false>;
}
